package com.jpsoft.shinestar.modules.business.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.business.entity.GuestFellow;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface GuestFellowService {
	GuestFellow get(String id);
	boolean exist(String id);
	int insert(GuestFellow model);
	int update(GuestFellow model);
	int delete(String id);
	List<GuestFellow> list();
	int findByGuestInfoRecordId(String guestInfoRecordId);
	List<GuestFellow> getList(String guestInfoRecordId);
	Page<GuestFellow> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}